import { nothing } from '../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../../core/lit-element/index.js';
export declare class UmbMemberWorkspaceSplitViewElement extends UmbLitElement {
    #private;
    private _workspaceContext?;
    private _variants?;
    private _icon?;
    constructor();
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbMemberWorkspaceSplitViewElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-member-workspace-split-view': UmbMemberWorkspaceSplitViewElement;
    }
}
